%define ver      1.2.10
%define rel      1
%define prefix   %{_prefix}
%define libname  libglib
%define major    1.2
%define		_sysconfdir	/etc

Summary: 	A library of handy utility functions.
Name: 		glib
Version: 	%ver
Release: 	%rel
License: 	LGPL
Group: 		Libraries
Source: 	ftp://ftp.gtk.org/pub/gtk/v1.2/glib-%{ver}.tar.bz2
Patch1: 	glib-1.2.10-isowarning.patch
Patch2: 	glib-1.2.10-gcc34.patch
Patch3:		glib-1.2.10-underquoted.patch
Patch4: 	glib-1.2.10-no_undefined.patch
# http://bugzilla.redhat.com/222296
Patch5: 	glib-1.2.10-multilib.patch
BuildRoot: 	%{_tmppath}/glib-%{PACKAGE_VERSION}-root
URL: 		http://www.gtk.org
Provides: 	glib

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package -n %{libname}%{major}
Summary: Main library for glib
Group: Libraries

%description -n %{libname}%{major}
This package contains the library needed to run programs dynamically
linked with the glib.

%package -n %{libname}%{major}-devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development
Provides: glib-devel

%description -n %{libname}%{major}-devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.

%prep
%setup -n %{name}-%{ver} -q
%patch1 -p1 -b .isowarning
%patch2 -p1 -b .gcc34
%patch3 -p1 -b .underquoted
%patch4 -p1 -b .no_undefined
%patch5 -p1 -b .multilib

%build
%configure \
	--enable-threads=yes \
	--with-threads=posix \
	--with-gnu-ld \
	--disable-nls
make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so
%{_libdir}/*.la

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_libdir}/glib
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/*
